import { Component } from "@angular/core";
import { NavController, NavParams } from "ionic-angular";

import { PouchService } from "../../services/pouch-service";

@Component({
    selector: 'page-customers',
    templateUrl: 'customers.html'
})
export class CustomersPage {

    constructor(
        public navCtrl: NavController,
        public navParams: NavParams,
        public pouch: PouchService
    ) { }

    ionViewDidLoad() {
        console.log('ionViewDidLoad CustomersPage');

        this.loadCustomers();
    }

    /**
     * 
     */
    loadCustomers(): void {
        this.pouch.getAll('res.partner').subscribe(results => { 
            console.log(results.docs.shift().records);
        });
    }
}
